Bug 835887 - [rhevm-config] - WARN messages when setting log4j to debug mode
[rhevm-config] - WARN messages when setting log4j to debug mode
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-config (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Roy Golan
Pavel Stehlik
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 08:49 EDT by David Botzer
Modified: 2016-02-10 14:25 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-02 03:20:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Botzer 2012-06-27 08:49:52 EDT
Description of problem:
I get the following:
---
log4j:WARN Continuable parsing error 31 and column 23
log4j:WARN The content of element type "log4j:configuration" must match
"(renderer*,appender*,(category|logger)*,root?,categoryFactory?)".
----
When setting debug in engine-config {log4j.xml}

Version-Release number of selected component (if applicable):
3.1/si8

How reproducible:
always

Steps to Reproduce:
1.Append in the following in /etc/rhevm/engine-config/log4j.xml
    <category name="org.ovirt.engine.core.utils">
        <priority value="DEBUG"/>
        <appender-ref ref="CONSOLE"/>
    </category> 
2.restart ovirt-engine (stop, start)
3.run command "rhevm-config -g MaxVmsInPool"
  
Actual results:
display WARN messages with correct result:
log4j:WARN Continuable parsing error 31 and column 23
log4j:WARN The content of element type "log4j:configuration" must match
"(renderer*,appender*,(category|logger)*,root?,categoryFactory?)".
MaxVmsInPool: 1000 version: general

Expected results:
Should not give WARN, or 
explain how to resolve the WARN

Additional info:
Comment 1 Roy Golan 2012-07-02 03:20:09 EDT
log4j dtd expected the root element to be last and will warn on category elements not in place. 
when you append the <category> element, append it after your last existing
category and *before* the <root> element.

Note You need to log in before you can comment on or make changes to this bug.